$ErrorActionPreference = "Stop"

Set-ExecutionPolicy Bypass -Scope Process -Force

$env:chocolateyUseWindowsCompression = 'true'
$env:ChocolateyInstall = Convert-Path "$((Get-Command choco).path)\..\.."
Import-Module "$env:ChocolateyInstall\helpers\chocolateyProfile.psm1"

choco config set --name="'stopOnFirstPackageFailure'" --value="'true'"

function Write-PackageInstall($package) {
  Write-Output ""
  Write-Output "----------------------------------------------"
  Write-Output "Installing $package"
  Write-Output "----------------------------------------------"
  Write-Output ""
}
function Install-ChocoPackage($package, $options) {
  Write-PackageInstall $package
  choco install -y --no-progress $package $options
  if ($LastExitCode -ne 0) {
     throw 'Error installing with Chocolatey'
  }
}




# .NET SDK
$DOTNET_SDK_VERSION = $args[0]
Write-Output "SDK version $DOTNET_SDK_VERSION"

if ("$DOTNET_SDK_VERSION" -eq "5"  -or  "$DOTNET_SDK_VERSION" -eq "6" ) {
  $DOTNET_VERSION="${DOTNET_SDK_VERSION}" + ".0"
  Write-Output "Output version is $DOTNET_VERSION"
}



Write-Output "Installing Dotnet version $DOTNET_VERSION"
Install-ChocoPackage  -package dotnet-$DOTNET_VERSION-sdk
